Get business payment tokens
Get all business payment tokens
Get business payment tokens
POST /svc/payment/api/v1/openapi/business/payment_tokens
Get all business payment tokens
Request
- application/json
Body
offset integerrequired
limit integerrequired
start_time stringrequired
end_time stringrequired
Responses
- 200
Response Headers
-
application/json
-
Schema
-
Example (auto)
Schema
code number
message string
data objectrequired
payment_tokens object[]nullablerequired
Array [
token_type stringrequired
The token type
Possible values: [CreditCard, WechatPayAutoDebit, AlipayAutoDebit]
Example: CreditCard
token stringrequired
The token value
state stringrequired
default booleanrequired
If it's default token
error_code string
if bind card failed, will return the specific error code
error_msg string
if bind card failed, will return the specific error message
credit_card object
if token_type is CreditCard
number string
exp_month string
exp_year string
holder_name string
brand string
billing_currency string
]
{
"code": 0,
"message": "string",
"data": {
"payment_tokens": [\
{\
"token_type": "CreditCard",\
"token": "string",\
"state": "string",\
"default": true,\
"error_code": "string",\
"error_msg": "string",\
"credit_card": {\
"number": "string",\
"exp_month": "string",\
"exp_year": "string",\
"holder_name": "string",\
"brand": "string",\
"billing_currency": "string"\
}\
}\
]
}
}-
csharp
-
curl
-
dart
-
go
-
http
-
java
-
javascript
-
kotlin
-
c
-
nodejs
-
objective-c
-
ocaml
-
php
-
powershell
-
python
-
r
-
ruby
-
rust
-
shell
-
swift
-
HTTPCLIENT
-
RESTSHARP
var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Post, "https://developer.wonder.today/svc/payment/api/v1/openapi/business/payment_tokens");
request.Headers.Add("Accept", "application/json");
var content = new StringContent("{\n \"offset\": 0,\n \"limit\": 0,\n \"start_time\": \"string\",\n \"end_time\": \"string\"\n}", null, "application/json");
request.Content = content;
var response = await client.SendAsync(request);
response.EnsureSuccessStatusCode();
Console.WriteLine(await response.Content.ReadAsStringAsync());Request Collapse all
Body
- Example (from schema)
- Example
{
"offset": 0,
"limit": 0,
"start_time": "string",
"end_time": "string"
}